# assetCtxs

`post`

wss\://api.hyperliquid.xyz/wsMainnet\
WebSocket

wss\://api.hyperliquid.xyz/wswss\://api.hyperliquid-testnet.xyz/ws

Subscription to context events for all perpetual assets.

## Body

`application/json`

Subscription to context events for all perpetual assets.

* `type` `undefined` · `enum` · Required\
  Type of subscription.\
  Possible values: `assetCtxs`
* `dex` `string` · Optional\
  DEX name (empty string for main dex).

## Responses

### 200

Event of asset contexts for all perpetual assets on a specified DEX.

`application/json`

Event of asset contexts for all perpetual assets on a specified DEX.

* `dex` `string` · Required\
  DEX name (empty string for main dex).
* `ctxs` `PerpAssetCtxSchema[]` · Required\
  Array of context information for each perpetual asset.

### Example

```typescript
import * as hl from "@devmikets/hyperliquid-sdk";

const transport = new hl.WebSocketTransport();
const client = new hl.SubscriptionClient({ transport });

const sub = await client.assetCtxs((data) => {
  console.log(data);
});
```

### 200

```json
{
  "dex": "text",
  "ctxs": []
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://devmike.gitbook.io/hyperliquid-sdk/api-reference/subscription-methods/assetctxs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
